%define version 1.9.0
%define release %mkrel 1
%define kdeversion 3
#
# support of docking in GNOME panel. Not very useful since
# it can already embed in notification area.
#
%define enable_gnome 1
%{?_without_gnome: %global enable_gnome 0}

#
# support for KDE
#
%define enable_kde 0
%{?_without_kde: %global enable_kde 0}

#
# save config as XML file. GConf is preferred for GNOME desktop
#
%define enable_xml 0
%{?_with_xml: %global enable_xml 1}

%define longtitle Assists in recovery and prevention of Repetitive Strain Injury (RSI)

Summary:	%{longtitle}
Name:		workrave
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Accessibility
URL:		http://www.workrave.org/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:	http://prdownloads.sourceforge.net/workrave/%{name}-%{version}.tar.bz2
Patch0:     workrave-kde-errors.patch
BuildRequires:	doxygen
BuildRequires:	gtkmm2.4-devel
BuildRequires:	libGConf2-devel
BuildRequires:	libgnet2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libxmu-devel
BuildRequires:  gstreamer0.10-devel
BuildRequires:  intltool
%if %enable_xml
BuildRequires:	gdome2-devel
%endif
%if %enable_gnome
BuildRequires:	libgnomeuimm2.6-devel
BuildRequires:	gnome-panel-devel
%endif
%if %enable_kde
BuildRequires:	kdelibs-devel
%endif

%description
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.

Build Options:
--with xml          Store configuration as XML file
--without gnome     Don't build applet that docks in GNOME panel
--without kde       Don't build applet that docks in KDE panel

%package	gnome-applet
Summary:	Workrave GNOME applet
Group:		Accessibility
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{name}-applet <= 1.6.2

%description	gnome-applet
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.

This package contains applet specific for GNOME desktop environment.
It is not necessary for basic functionality, but %{name} can cooperate
more with GNOME environment, such as embedding in GNOME panel.

%if %enable_kde
%package	kde-applet
Summary:	Workrave KDE applet
Group:		Accessibility
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{name}-applet <= 1.6.2

%description	kde-applet
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.

This package contains applet specific for KDE desktop environment.
It is not necessary for basic functionality, but %{name} can cooperate
more with KDE environment, such as embedding in KDE panel.
%endif

%prep
%setup -q
%patch0 -p1

%build
%if %enable_kde
%configure_kde3 \
%else
%configure2_5x \
%endif
	--enable-app-text=no	\
	--enable-distribution=yes \
	--enable-gconf=yes	\
	--enable-dbus=yes	\
	--disable-rpath		\
%if %enable_xml
	--enable-xml \
%else
	--disable-xml \
%endif
%if %enable_gnome
	--enable-gnome \
%else
	--disable-gnome \
%endif
%if %enable_kde
	--enable-kde
%else
	--disable-kde
%endif


%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

#
# icons
#
install -m0644 -D frontend/common/share/images/workrave-icon-huge.png %{buildroot}%{_liconsdir}/%{name}.png
install -m0644 -D frontend/common/share/images/workrave-icon-large.png %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 -D frontend/common/share/images/workrave-icon-small.png %{buildroot}%{_miconsdir}/%{name}.png

#
# menu entry
#

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Workrave
Comment=%{longtitle}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GNOME;GTK;X-MandrivaLinux-MoreApplications-Accessibility;
StartupNotify=true
EOF

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/dbus-1/services/org.workrave.Workrave.service

%if %enable_gnome
%files gnome-applet
%defattr(-,root,root)
%doc COPYING
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/workrave-applet
%{_datadir}/gnome-2.0/ui/*.xml
%endif

%if %enable_kde
%files kde-applet
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libkworkraveapplet.so
%{_datadir}/apps/kicker/applets/*.desktop
%{_datadir}/apps/kworkrave
%_libdir/libkworkraveapplet.a
%_libdir/libkworkraveapplet.la
%endif


%changelog
* Fri Apr 17 2009 Funda Wang <fundawang@mandriva.org> 1.9.0-1mdv2009.0
+ Revision: 367825
- fix  BR

  + Emmanuel Andry <eandry@mandriva.org>
    - disable kde for now

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Use kde macros for configure
      Add patch to fix kde build

  + Jérôme Soyer <saispo@mandriva.org>
    - New release 1.9.0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Oct 28 2007 Jérôme Soyer <saispo@mandriva.org> 1.8.5-1mdv2008.1
+ Revision: 102786
- New release 1.8.5

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Fri Sep 08 2006 Frederic Crozat <fcrozat@mandriva.com> 1.8.3-2mdv2007.0
- Rebuild with latest dbus
- migrate menu

* Mon May 15 2006 Jerome Soyer <saispo@mandriva.org> 1.8.3-1mdk
- New release 1.8.3

* Mon Feb 13 2006 Jerome Soyer <saispo@mandriva.org> 1.8.2-1mdk
- New release 1.8.2

* Mon Nov 28 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8.0-3
- Fix compile under x86_64

* Mon Nov 28 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8.0-2
- Don't remove file when we don't like them... Fix bug #19503
- Fix configure test, I don't know how it could work.

* Fri Jul 22 2005 Abel Cheung <deaddog@mandriva.org> 1.8.0-1mdk
- New version
- Rename "applet" subpackage to "gnome-applet" since KDE support
  is also available now
- Remove distributed info (gnet2) build option, always turn it on
- Enable GNOME/KDE applet by default
- Use bundled icon

* Sat Feb 12 2005 Abel Cheung <deaddog@mandrake.org> 1.6.2-1mdk
- New version

* Thu Jun 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.1-1mdk
- 1.6.1
- drop P0

* Sun Nov 16 2003 Abel Cheung <deaddog@deaddog.org> 1.4.1-2mdk
- Rebuild

* Fri Nov 07 2003 Abel Cheung <deaddog@deaddog.org> 1.4.1-1mdk
- 1.4.1
- Patch0: Add missing include, to fix compilation against newest gtkmm

